import { TypeValidation } from '../TypeValidation/TypeValidation';
import { Option } from '../Option';
import { BaseOption } from './BaseOption';

interface StringOptionConfig extends Option {
  preset?: string[]
}

export class StringOption extends BaseOption {
  protected get validation ():TypeValidation {
    return new TypeValidation ('string');
  }

  // eslint-disable-next-line no-useless-constructor
  public constructor (config: StringOptionConfig) {
    super (config);
  }
}
